Bug 178243 - Serbian sr_CS and sr_CS@Latn locale problems in glibc
Serbian sr_CS and sr_CS@Latn locale problems in glibc
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
http://srpski.org/locale
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 14:48 EST by Miloš Komarčević
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-19 03:04:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miloš Komarčević 2006-01-18 14:48:24 EST
The latin variant of the Serbian locale sr_CS@Latn is missing in glibc-2.3.90-30
that comes with FC5test2.

Also, the existing sr_CS one (cyrillic) seems to default to iso85595 instead of
utf8.

More info on up-to-date Serbian locales can be found at the link provided.
Comment 1 Jakub Jelinek 2006-01-19 03:04:34 EST
sr_CS can't use UTF-8 charset, once a locale has some charset, it must never
change.  If you want UTF-8 sr_CS, you should use sr_CS.UTF-8.
As for sr_CS@Latn, you should report this upstream and get it included into
upstream glibc, then it will make it into Fedora glibc automatically.
See http://sources.redhat.com/bugzilla/

Note You need to log in before you can comment on or make changes to this bug.